// Arquivo de exemplo: ReadLines.cs
// Para compilar utilize: csc ReadLines.cs
using System;
using System.Collections;
using System.Collections.Generic;
using System.IO;
using System.Text;

class Programa {
	public static void Main() 
	{
		try
		{
			IEnumerable<string> Ie = File.ReadLines(@"c:\livro\teste.txt", Encoding.GetEncoding("iso-8859-1"));
                	
			foreach (var ln in Ie)
			{
				Console.WriteLine(ln);
			}   
			Console.Read();             
		}
		catch (FileNotFoundException)
		{
			Console.WriteLine("Arquivo não encontrado.");
		}
		catch (UnauthorizedAccessException)
		{
			Console.WriteLine("Acesso não autorizado.");
		}
		catch (PathTooLongException)
		{
			Console.WriteLine("Diretório excedeu o tamanho limite.");
		}
	}
}
